changeset 130:8241f16a114e

tests: suppress netcat's error messages.
author Dmitriy Taychenachev <dimichxp@gmail.com>
date Thu, 14 May 2009 20:21:36 -0700
parents ed4e8c2cd016
children dd6c77ec206c
files tests/test-file-removal tests/test-git-clone tests/test-sane-without-bookmarks
diffstat 3 files changed, 3 insertions(+), 3 deletions(-) [+]
line wrap: on
line diff
--- a/tests/test-file-removal	Thu May 14 20:20:48 2009 -0700
+++ b/tests/test-file-removal	Thu May 14 20:21:36 2009 -0700
@@ -4,7 +4,7 @@
 # "$TESTDIR/hghave" git || exit 80
 
 # bail early if the user is already running git-daemon
-echo hi | nc localhost 9418 && exit 80
+echo hi | nc localhost 9418 2>/dev/null && exit 80
 
 echo "[extensions]" >> $HGRCPATH
 echo "hggit=$(echo $(dirname $(dirname $0)))" >> $HGRCPATH
--- a/tests/test-git-clone	Thu May 14 20:20:48 2009 -0700
+++ b/tests/test-git-clone	Thu May 14 20:21:36 2009 -0700
@@ -4,7 +4,7 @@
 # "$TESTDIR/hghave" git || exit 80
 
 # bail early if the user is already running git-daemon
-echo hi | nc localhost 9418 && exit 80
+echo hi | nc localhost 9418 2>/dev/null && exit 80
 
 echo "[extensions]" >> $HGRCPATH
 echo "hggit=$(echo $(dirname $(dirname $0)))" >> $HGRCPATH
--- a/tests/test-sane-without-bookmarks	Thu May 14 20:20:48 2009 -0700
+++ b/tests/test-sane-without-bookmarks	Thu May 14 20:21:36 2009 -0700
@@ -4,7 +4,7 @@
 # "$TESTDIR/hghave" git || exit 80
 
 # bail early if the user is already running git-daemon
-echo hi | nc localhost 9418 && exit 80
+echo hi | nc localhost 9418 2>/dev/null && exit 80
 
 echo "[extensions]" >> $HGRCPATH
 echo "hggit=$(echo $(dirname $(dirname $0)))" >> $HGRCPATH